package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 西安仪表实时数据
 * @Author lulicheng
 * @Date 2024-06-13 14:22
 * @Version 1.0
 */
@Data
@TableName("xazz_meter_real_info")
public class XaMeterRealInfo implements Serializable {
    //主键ID
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    //仪表编号
    @TableField("meter_num")
    private String meterNum;

    //总视在功率（W）
    @TableField("sabc")
    private Float sabc;

    //当前总有功电能
    @TableField("epp")
    private Float epp;

    //仪表时间
    @TableField("meter_time")
    private Date meterTime;

    //kafka主题
    @TableField("topic")
    private String topic;

    //kafka分区
    @TableField("part")
    private String part;

    /**
     * websocket分组ID
     */
    @TableField(exist = false)
    private Integer websocketGroupId;
}
